part of 'land_ext_bloc.dart';

class LandExtState extends Equatable {
  const LandExtState();

  @override
  List<Object> get props => [];
}

class LandExtInitial extends LandExtState {}

class LandExtLoading extends LandExtState {}

class LandExtLoaded extends LandExtState {
  LandExtLoaded(this.landext);
  final List<LandExt> landext;

  @override
  List<Object> get props => [landext];
}

class LandExtErrorState extends LandExtState {
  LandExtErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
